# Save Game Sorter for Dyson Sphere Program

**DSP Save Game Sorter** is a mod for the Unity game Dyson Sphere Program developed by Youthcat Studio and published by Gamera Game.  The game is available on [here](https://store.steampowered.com/app/1366540/Dyson_Sphere_Program/).

This mod will sort your saves on the Load Game and Save Game screen by descending save time.

![Load Game Window image](https://raw.githubusercontent.com/GreyHak/dsp-save-sorter/master/LoadGameWindow.jpg)

If you like this mod, please click the thumbs up at the [top of the page](https://dsp.thunderstore.io/package/GreyHak/DSP_Save_Game_Sorter/) (next to the Total rating).  That would be a nice thank you for me, and help other people to find a mod you enjoy.

If you have issues with this mod, please report them on [GitHub](https://github.com/GreyHak/dsp-save-sorter/issues).  I try to respond within 12 hours.    You can also contact me at GreyHak#2995 on the [DSP Modding](https://discord.gg/XxhyTNte) Discord #tech-support channel.

## Config Settings
The configuration file is called `greyhak.dysonsphereprogram.savegamesorter.cfg`.  It is generated the first time you run the game with this mod installed.  On Windows 10 it is located at
 - If you installed manually:  `%PROGRAMFILES(X86)%\Steam\steamapps\common\Dyson Sphere Program\BepInEx\config\greyhak.dysonsphereprogram.savegamesorter.cfg`
 - If you installed with r2modman:  `C:\Users\<username>\AppData\Roaming\r2modmanPlus-local\DysonSphereProgram\profiles\Default\BepInEx\config\greyhak.dysonsphereprogram.savegamesorter.cfg`

Sorting can be configurably enabled/disabled separately for load-game screen and save-game screen.

This mod is also compatible with [BepInEx.ConfigurationManager](https://github.com/BepInEx/BepInEx.ConfigurationManager) which provides an in-game GUI for changing the settings in real-time.
![Config Settings Window image](https://raw.githubusercontent.com/GreyHak/dsp-save-sorter/master/ConfigSettingsWindow.jpg)

## Installation
This mod uses the BepInEx mod plugin framework.  So BepInEx must be installed to use this mod.  Find details for installing BepInEx [in their user guide](https://bepinex.github.io/bepinex_docs/master/articles/user_guide/installation/index.html#installing-bepinex-1).  This mod was tested with BepInEx x64 5.4.5.0 and Dyson Sphere Program 0.7.18.6931 on Windows 10.

To manually install this mod, add the `DSPSaveGameSorter.dll` to your `%PROGRAMFILES(X86)%\Steam\steamapps\common\Dyson Sphere Program\BepInEx\plugins\` folder.

This mod can also be installed using ebkr's [r2modman](https://dsp.thunderstore.io/package/ebkr/r2modman/) mod manager by clicking "Install with Mod Manager" on the [DSP Modding](https://dsp.thunderstore.io/package/GreyHak/DSP_Save_Game_Sorter/) site.

## Open Source
The source code for this mod is available for download, review and forking on GitHub [here](https://github.com/GreyHak/dsp-save-sorter) under the BSD 3 clause license.

## Change Log

### v1.0.4
 - Updated for latest DSP
### v1.0.3
 - Will now run with Dyson Sphere Program 0.7.18.6931 update.  Function prototype updated and new auto-save displays.
### v1.0.2
 - Added in-game reconfiguration changes and compatibility with [BepInEx.ConfigurationManager](https://github.com/BepInEx/BepInEx.ConfigurationManager).
### v1.0.1
 - Sorting of the save-game screen has been added.
 - Sorting can be configurably enabled/disabled separately for load-game screen and save-game screen.
### v1.0.0
 - Initial release.
